Page MenuHomePhabricator

Config / setup - check for ONLY_FULL_GROUP_BY and warn the user
ClosedPublic

Authored by btrahan on Nov 15 2014, 2:47 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Feb 14, 4:53 AM
Unknown Object (File)
Wed, Feb 7, 9:42 PM
Unknown Object (File)
Tue, Feb 6, 5:20 PM
Unknown Object (File)
Tue, Feb 6, 11:05 AM
Unknown Object (File)
Jan 15 2024, 4:01 PM
Unknown Object (File)
Jan 10 2024, 8:52 PM
Unknown Object (File)
Jan 9 2024, 1:28 PM
Unknown Object (File)
Dec 25 2023, 11:44 AM
Subscribers

Details

Summary

Fixes T6243.

Test Plan

simulated having this on by adding 'ONLY_FULL_GROUP_BY' to the $modes array. verified the error message looked nice

Screen_Shot_2014-11-14_at_6.45.43_PM.png (1×2 px, 596 KB)
.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

btrahan retitled this revision from to Config / setup - check for ONLY_FULL_GROUP_BY and warn the user.
btrahan updated this object.
btrahan edited the test plan for this revision. (Show Details)
btrahan added a reviewer: epriestley.

Note this screenshot is somewhat nonsense due to my test method... The "your sql mode is set to X" bit in particular doesn't reflect real values that would trip this condition.

epriestley edited edge metadata.
This revision is now accepted and ready to land.Nov 15 2014, 2:50 AM
This revision was automatically updated to reflect the committed changes.